
%global srcname tgMochiKit

Name:           python-tgmochikit
Version:        1.4.2
Release:        18%{?dist}
Summary:        MochiKit JavaScript library packaged for TurboGears widgets

Group:          Development/Languages
# The getElementPosition function is under the BSD license (adapted from the YUI library)
# everything else is (MIT or AFL)
License:        BSD and (MIT or AFL)
URL:            http://docs.turbogears.org/%{srcname}
Source0:        http://pypi.python.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0: tgmochikit-license.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-nose
BuildRequires:  dos2unix

%global _description\
MochiKit is a highly-documented and well-tested suite of JavaScript libraries\
that will help you get stuff done, fast.\
\
tgmochikit packages the MochiKit library for use by TurboGears Widgets.

%description %_description

%package -n python2-tgmochikit
Summary: %summary
Requires: python2-setuptools
%{?python_provide:%python_provide python2-tgmochikit}

%description -n python2-tgmochikit %_description

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .licensing

dos2unix README.txt

%build
%py2_build


%install
%py2_install

%check
nosetests-2


%files -n python2-tgmochikit
%doc LICENSE.txt README.txt ChangeLog
%{python2_sitelib}/*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jul 05 2018 Dan Callaghan <dcallagh@redhat.com> - 1.4.2-17
- Fix build to explicitly use python2

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.4.2-16
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.2-14
- Python 2 binary package renamed to python2-tgmochikit
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 2 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.4.2-2
- Fix mixed use of RPM_BUILD_ROOT env var and %%buildroot macro.
- Fix licensing as there's some BSD code as well.

* Thu Dec 2 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.4.2-1
- Initial Fedora build
